/* eslint max-classes-per-file: off, class-methods-use-this: off, max-lines: off */

import BaseComponent from '../base_component.js?v=1.12.1'

/*
 * Concrete web component class for c-breadcrumb.
 * This is automatically generated by the builder.
 */

class CBreadcrumbComponent extends BaseComponent {}

/*
 * HTML template & CSS style for c-breadcrumb.
 * This is automatically generated by the builder.
 */

/* eslint-disable max-len */
CBreadcrumbComponent.template = `<div>
    <ul t-if="data.breadcrumb">
        <li t-for="data.breadcrumb">
            <c-link t-if="item.url" href="item.url">\${item.name}</c-link>
            <span t-if="!item.url">\${item.name}</span>
        </li>
    </ul>
    <ul t-if="!data.breadcrumb">
        <slot></slot>
    </div>
</div>`

CBreadcrumbComponent.style = `:host {
    --alternative-spacing: 1.5rem;

    position: relative;
    display: block;
    margin-top: -1.25rem;
    margin-bottom: 1.5rem;
}

@media screen and (width >= 768px) {
    :host {
        margin-bottom: 0.5rem;
    }
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
    font-size: 0.75rem;
}

li,
::slotted(li) {
    display: inline-block;
    margin-right: var(--alternative-spacing);
}

/*
*  Remove alternative spacing and add chevron for
*  Browsers that support pseudo elements in combination
*  with slotted elements.
*/
li::after,
::slotted(li)::after {
    content: "›";
    font-size: 2em;
    font-weight: 100;
    line-height: 1;
    display: inline-block;
    vertical-align: bottom;
    padding: 0 0.5rem;
    position: relative;
    right: 0;
    border: 1px solid transparent;
    margin-right: calc(-1 * var(--alternative-spacing));
}

ul li:last-child::after,
::slotted(li:last-child)::after {
    display: none;
}`
/* eslint-enable max-len */

/*
 * Define web component tag for c-breadcrumb.
 */

window.customElements.define('c-breadcrumb', CBreadcrumbComponent)

/*
 * Default export the concrete class for c-breadcrumb.
 */

export default CBreadcrumbComponent
