/* eslint max-classes-per-file: off, class-methods-use-this: off, max-lines: off */

import BaseComponent from '../base_component.js?v=1.12.1'

/*
 * Concrete web component class for c-code.
 * This is automatically generated by the builder.
 */

class CCodeComponent extends BaseComponent {}

/*
 * HTML template & CSS style for c-code.
 * This is automatically generated by the builder.
 */

/* eslint-disable max-len */
CCodeComponent.template = `<div>
<code t-if="attributes.inline">
<slot></slot>
</code>
<pre  t-if="!attributes.inline">
<slot></slot>
</pre>
</div>`

CCodeComponent.style = `:host([inline]) {
    display: inline-block;
}

code {
    border: 1px solid var(--code-background, var(--color-ui-1));
    padding: 0 0.25em;
    line-height: 1;
}

pre {
    font-family: var(--font-family-monospace);
    background: var(--code-background, var(--color-ui-1));
    overflow: auto;
    padding: 0.75rem 1rem;
    margin: 0;
}`
/* eslint-enable max-len */

/*
 * Define web component tag for c-code.
 */

window.customElements.define('c-code', CCodeComponent)

/*
 * Default export the concrete class for c-code.
 */

export default CCodeComponent
