/* eslint max-classes-per-file: off, class-methods-use-this: off, max-lines: off */

import BaseComponent from '../base_component.js?v=1.12.1'

/*
 * Concrete web component class for c-label.
 * This is automatically generated by the builder.
 */

class CLabelComponent extends BaseComponent {}

/*
 * HTML template & CSS style for c-label.
 * This is automatically generated by the builder.
 */

/* eslint-disable max-len */
CLabelComponent.template = `<span class="wrapper">
    <span class="text"><slot>This is a label</slot></span>
</span>`

CLabelComponent.style = `.wrapper {
    display: inline-block;
    transition-duration: var(--forms-transition-duration);
    transition-timing-function: var(--forms-transition-timing-function);
    text-transform: uppercase;
    font-size: 0.875rem;
    letter-spacing: 0.05rem;
    margin-bottom: 0.125rem;
    word-break: initial;
}

:host([label-position="left"]) .wrapper,
:host([label-position="inside"]) .wrapper {
    display: flex;
}

:host([required="true"]) .wrapper::after {
    content: "*";
    margin-left: 0.125rem;
}

:host([label-position="left"]),
:host([label-position="inside"]) {
    overflow: hidden;
    width: 1px; /* Ensure no overflow in combination with flex */
    flex-grow: 1;
}

:host([label-position="left"]) span,
:host([label-position="inside"]) span {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}`
/* eslint-enable max-len */

/*
 * Define web component tag for c-label.
 */

window.customElements.define('c-label', CLabelComponent)

/*
 * Default export the concrete class for c-label.
 */

export default CLabelComponent
