/* eslint max-classes-per-file: off, class-methods-use-this: off, max-lines: off */

import BaseComponent from '../base_component.js?v=1.12.1'

/*
 * Custom web component script.
 * This is generated by the builder and loaded from the component's `script.js`.
 */

class CListComponent extends BaseComponent {

    /**
     * Replace the list element `ul` with `ol`, in case the `ordered` attribute
     * is set.
     *
     * @param   {HTMLElement}   element     The HTML template element
     *
     * @return  {HTMLElement}               The rendered HTML element
     */

    renderElement(element) {
        if (element.tagName === 'UL' && this.componentAttributes.ordered)
            return super.renderElement(element.replaceTagName('ol'))

        return super.renderElement(element)
    }

}

/*
 * HTML template & CSS style for c-list.
 * This is automatically generated by the builder.
 */

/* eslint-disable max-len */
CListComponent.template = `<div>
  <ul t-if="data">
    <li t-for="data">\${item}</li>
  </ul>
  <ul t-if="!data">
    <slot>Default slot</slot>
  </ul>
</div>`

CListComponent.style = `ul,
ol {
    padding: 0 0 0 1rem;
    margin: 0;
}`
/* eslint-enable max-len */

/*
 * Define web component tag for c-list.
 */

window.customElements.define('c-list', CListComponent)

/*
 * Default export the concrete class for c-list.
 */

export default CListComponent
