/* eslint max-classes-per-file: off, class-methods-use-this: off, max-lines: off */

import BaseComponent from '../base_component.js?v=1.12.1'

/*
 * Concrete web component class for c-progress.
 * This is automatically generated by the builder.
 */

class CProgressComponent extends BaseComponent {}

/*
 * HTML template & CSS style for c-progress.
 * This is automatically generated by the builder.
 */

/* eslint-disable max-len */
CProgressComponent.template = `<div class="progress" type="\${attributes.type || ''}" colour="\${attributes.colour || ''}" style="--progress-value: \${attributes.value}%">
    <div class="label">
        <slot></slot>
    </div>

    <span class="value">
        \${attributes.value}%
    </span>
</div>`

CProgressComponent.style = `:host {
    --track-height: 5px;
    --track-color: var(--color-neutral-20);

    display: inline-flex;
    min-height: var(--track-height);
    min-width: 5em;
}

:host([full-width]) {
    width: 100%;
    text-align: center;
}

/* ============================================================ *
   ELEMENTS
 * ============================================================ */
.progress {
    position: relative;
    display: flex;
    width: 100%;
    justify-content: space-between;
    gap: 0.5em 1em;
    flex-wrap: wrap;
}

.progress::before,
.progress::after {
    content: "";
    order: 2;
    height: var(--track-height);
}

/* Track */
.progress::before {
    background: var(--track-color);
    width: 100%;
    opacity: 0.15;
}

/* Progress indicator */
.progress::after {
    position: absolute;
    bottom: 0;
    left: 0;
    background: var(--track-color);
    width: var(--progress-value);
}

/* ============================================================ *
   VARIATIONS: COLOURS
 * ============================================================ */
:host([colour="theme"]) {
    --track-color: var(--color-20);
}

:host([colour="success"]) {
    --track-color: var(--color-status-success);
}

:host([colour="info"]) {
    --track-color: var(--color-status-info);
}

:host([colour="warning"]) {
    --track-color: var(--color-status-warning);
}

:host([colour="error"]) {
    --track-color: var(--color-status-error);
}`
/* eslint-enable max-len */

/*
 * Define web component tag for c-progress.
 */

window.customElements.define('c-progress', CProgressComponent)

/*
 * Default export the concrete class for c-progress.
 */

export default CProgressComponent
