/* eslint max-classes-per-file: off, class-methods-use-this: off, max-lines: off */

import BaseComponent from '../base_component.js?v=1.12.1'

/*
 * Concrete web component class for c-progress-bar.
 * This is automatically generated by the builder.
 */

class CProgressBarComponent extends BaseComponent {}

/*
 * HTML template & CSS style for c-progress-bar.
 * This is automatically generated by the builder.
 */

/* eslint-disable max-len */
CProgressBarComponent.template = `<div>
    <ul class="bar" t-if="data.items">
        <li t-for="data.items"
            class="item status-\${item.status}"
            style="flex-grow: \${item.value};">
            <div class="text">
                \${item.status} <strong>\${item.value}</strong>
            </div>
            <c-tag t-if="item.new">New <strong>\${item.new}</strong></c-tag>
        </li>
    </ul>
</div>`

CProgressBarComponent.style = `:host {
    width: 100%;
}

.bar {
    display: flex;
    width: 100%;
    margin: 0;
    padding: 0;
    list-style: none;
    text-transform: uppercase;
    color: var(--color-interactive-text);
}

.item {
    padding: 0.25rem 0.75rem;
    display: flex;
    background: var(--status-color);
}

c-tag {
    margin-left: 1rem;
}

/* ============================================================ *
   VARIATIONS: TYPES
 * ============================================================ */
.status-finished {
    --status-color: var(--color-status-success);
}

.status-error {
    --status-color: var(--color-status-error);
}

.status-pending {
    --status-color: var(--color-status-hint-3);
}

.status-progress {
    --status-color: var(--color-status-info);
}

.status-approved {
    --status-color: var(--color-status-info-3);
}`
/* eslint-enable max-len */

/*
 * Define web component tag for c-progress-bar.
 */

window.customElements.define('c-progress-bar', CProgressBarComponent)

/*
 * Default export the concrete class for c-progress-bar.
 */

export default CProgressBarComponent
