/* eslint max-classes-per-file: off, class-methods-use-this: off, max-lines: off */

import BaseComponent from '../base_component.js?v=1.12.1'

/*
 * Concrete web component class for c-search.
 * This is automatically generated by the builder.
 */

class CSearchComponent extends BaseComponent {}

/*
 * HTML template & CSS style for c-search.
 * This is automatically generated by the builder.
 */

/* eslint-disable max-len */
CSearchComponent.template = `<c-form method="\${attributes.method || 'GET'}" action="\${attributes.action || '#'}">
    <c-input value="\${attributes.value || ''}" full-width Placeholder="\${attributes.placeholder || 'Search'}" name="\${attributes.name || 'search'}"></c-input>
    <c-button submit secondary icon="search"></c-button>
</c-form>`

CSearchComponent.style = `:host {
    display: block;
}

c-form {
    display: flex;
    position: relative;
}

c-input {
    --input-spacing-right: 2rem;

    margin: 0;
}

c-button {
    --button-border-color: transparent;

    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 1000;
}`
/* eslint-enable max-len */

/*
 * Define web component tag for c-search.
 */

window.customElements.define('c-search', CSearchComponent)

/*
 * Default export the concrete class for c-search.
 */

export default CSearchComponent
