/* eslint max-classes-per-file: off, class-methods-use-this: off, max-lines: off */

import BaseComponent from '../base_component.js?v=1.12.1'

/*
 * Custom web component script.
 * This is generated by the builder and loaded from the component's `script.js`.
 */

class StyleguideIconsComponent extends BaseComponent {

    /**
     * The custom context, which is used in the `template.html` file of the
     * styleguide-icons component.
     *
     * @return  {Object}    The custom context
     */

    get customContext() {
        const icons = [
            'arrow-down',
            'arrow-left',
            'arrow-right',
            'arrow-up',
            'back',
            'check',
            'chevron-down',
            'chevron-left',
            'chevron-right',
            'chevron-up',
            'cross',
            'error',
            'external',
            'forward',
            'info',
            'moon',
            'pause',
            'play',
            'plus',
            'restart',
            'restart-2',
            'restart-3',
            'restart-II',
            'search',
            'success',
            'sun',
            'thumb-up',
            'user-ok',
            'warning',
        ]

        return {
            icons,
        }
    }

}

/*
 * HTML template & CSS style for styleguide-icons.
 * This is automatically generated by the builder.
 */

/* eslint-disable max-len */
StyleguideIconsComponent.template = `<div>
    <c-heading level="5">
        all icons
        <span t-if="attributes.size">(\${attributes.size})</span>
    </c-heading>
    <div class="icon-list \${attributes.size || ''}">
        <c-icon t-for="icons" icon="\${item}" inline>\${item}</c-icon>
    </div>
</div>`

StyleguideIconsComponent.style = `:host {
    --icon-size: var(--default-icon-size);

    display: block;
}

:host([size="md"]) {
    --icon-size: 2rem;
}

:host([size="lg"]) {
    --icon-size: 3rem;
}

:host([size="xl"]) {
    --icon-size: 5rem;
}

.icon-list {
    --grid-size: calc(1.5 * var(--icon-size));

    display: grid;
    grid-template-columns: repeat(auto-fill, var(--grid-size));
    grid-auto-rows: var(--grid-size);
    grid-auto-columns: var(--grid-size);
    grid-gap: 1rem;
}

c-icon {
    --icon-color: var(--color-interactive-link-hover);
    --icon-size: inherit;

    border: 1px solid var(--color-interactive-link-hover);
    position: relative;
    place-items: center center;
    justify-content: center;
}

c-icon:hover::before {
    content: attr(icon);
    position: absolute;
    top: 0;
    left: 0;
    font-size: 0.75rem;
    min-width: 5rem;
    padding: 0.25rem;
    background: var(--color-ui-bg);
    opacity: 0.8;
    z-index: var(--z-index-front);
}

c-heading {
    margin-bottom: 1.5rem;
}`
/* eslint-enable max-len */

/*
 * Define web component tag for styleguide-icons.
 */

window.customElements.define('styleguide-icons', StyleguideIconsComponent)

/*
 * Default export the concrete class for styleguide-icons.
 */

export default StyleguideIconsComponent
