/* eslint max-classes-per-file: off, class-methods-use-this: off, max-lines: off */

import BaseComponent from '../base_component.js?v=1.12.1'

/*
 * Concrete web component class for theme-mode-switcher.
 * This is automatically generated by the builder.
 */

class ThemeModeSwitcherComponent extends BaseComponent {}

/*
 * HTML template & CSS style for theme-mode-switcher.
 * This is automatically generated by the builder.
 */

/* eslint-disable max-len */
ThemeModeSwitcherComponent.template = `<div class="button-wrapper">
    <button t-on="click:switchThemeMode"
            class="switch-mode-to-dark"
            title="Switch to light mode">
        <c-icon icon="moon"></c-icon>
    </button>
    <button t-on="click:switchThemeMode"
            class="switch-mode-to-light"
            title="Switch to dark mode">
        <c-icon icon="sun"></c-icon>
    </button>
</div>`

ThemeModeSwitcherComponent.style = `:host {
    --icon-color: var(--theme-mode-switcher-icon-color);
    --icon-size: var(--default-icon-size);

    overflow: hidden;
    display: block;
    height: var(--icon-size);
    flex-shrink: 0;
}

.button-wrapper {
    position: relative;
    top: calc(-50% - var(--theme-mode-switcher-offset));
    transition: var(--transition-property) var(--transition-duration) var(--transition-timing-function);
    display: inline-block;
}

button {
    position: relative;
    display: block;
    overflow: hidden;
    background: transparent;
    border: 0;
    padding: 0;
}

c-icon {
    --icon-size: inherit;
    --icon-color: inherit;
}

/* -------------------- STATES -------------------- */

button:focus,
button:active {
    border: 0;
    outline: 0;
}

button:hover {
    --icon-color: var(--theme-mode-switcher-icon-color-hover);

    cursor: pointer;
}`
/* eslint-enable max-len */

/*
 * Define web component tag for theme-mode-switcher.
 */

window.customElements.define('theme-mode-switcher', ThemeModeSwitcherComponent)

/*
 * Default export the concrete class for theme-mode-switcher.
 */

export default ThemeModeSwitcherComponent
