 
export default {
    argTypes: {
        inline: {
            control: 'boolean',
            table: {
                defaultValue: {summary: 'false'},
                type: {summary: 'boolean'},
            },
        },
        slotDefault: {
            control: 'text',
            table: {
                type: {summary: 'string'},
            },
        },
    },
    args: {
        inline: 0,
    },
    component: 'c-code',
    parameters: {
        docs: {
            description: {
                component: 'Output for preformatted content like code blocks or inline code ' +
                    'elements.',
            },
        },
    },
    tags: ['autodocs'],
    title: 'Simple/Code',
}

const Template = ({slotDefault, inline}) => {
    const template = document.createElement('c-code')

    if (inline)
        template.setAttribute('inline', '')


    if (slotDefault) {
        const range = document.createRange()
        const fragment = range.createContextualFragment(slotDefault)
        template.appendChild(fragment)
    }

    return template
}

export const Default = Template.bind({})
Default.args = {
    inline: 0,
    slotDefault: 'Some preformatted content',
}

export const Inline = Template.bind({})
Inline.args = {
    inline: true,
    slotDefault: 'Some preformatted inline content',
}
 
