 
export default {
    argTypes: {
        action: {
            control: 'text',
            description: 'The forms action target.',
            table: {
                type: {summary: 'string'},
            },
        },
        formSkin: {
            control: 'inline-radio',
            mapping: {
                default: '',
            },
            options: ['underline', 'bordered', 'default'],
            table: {
                category: 'attributes',
                defaultValue: {summary: 'default'},
            },
        },
        method: {
            control: 'inline-radio',
            defaultValue: 'POST',
            description: 'The method for the form send function.',
            options: ['GET', 'POST'],
            table: {
                defaultValue: {summary: 'POST'},
                type: {summary: 'string'},
            },
        },
    },
    args: {
        formSkin: 'default',
        method: 'POST',
    },
    parameters: {
        docs: {
            description: {
                component: 'The form component defines the action and overall look of individual ' +
                    'form items. The form elements itself find place in the c-form\'s slot' +
                    ' `slotDefault`.',
            },
        },
    },
    tags: ['autodocs'],
    title: 'Composed Components/Forms/Form',
}

const Template = ({method, action, formSkin, slotDefault}) => {
    const template = document.createElement('c-form')

    if (method) 
        template.setAttribute('method', method)
    if (action) 
        template.setAttribute('action', action)
    if (formSkin) 
        template.setAttribute('form-skin', formSkin)

    if (slotDefault) {
        const range = document.createRange()
        const fragment = range.createContextualFragment(slotDefault)
        template.appendChild(fragment)
    }

    return template
}

export const Form = Template.bind({})
Form.args = {
    slotDefault: '<c-input placeholder="A demo input field"></c-input><c-button submit' +
        ' full-width>Login</c-button>',
}
 
