
const iconsObject = [
    'applications',
    'arrow-down',
    'arrow-left',
    'arrow-right',
    'arrow-up',
    'back',
    'calendar',
    'check',
    'chevron-down',
    'chevron-left',
    'chevron-right',
    'chevron-up',
    'clock',
    'cross',
    'dash',
    'environment',
    'exclamation-mark',
    'external',
    'flash',
    'flow-1',
    'flow-2',
    'flow-3',
    'folder',
    'forward',
    'gear',
    'hashtag',
    'info',
    'list',
    'location',
    'log-in',
    'log-out',
    'magic-wand',
    'media',
    'moon',
    'node',
    'nodes',
    'patch-run',
    'pause',
    'person',
    'play',
    'plus',
    'restart',
    'restart-2',
    'restart-3',
    'rocket',
    'save',
    'search',
    'sun',
    'thumb-up',
    'thumbnails',
    'trash',
    'user-ok',
    'versions',
    'warning',
]

let icons = ''

iconsObject.forEach(icon => {
    const iconMarkup = `<c-icon icon="${icon}" size="md"></c-icon><br/><small>${icon}</small>`
    icons += `<li>${iconMarkup}</li>`
})

const style = 'display: grid;' +
    'grid-template-columns: repeat(auto-fill, minmax(5rem, 1fr));' +
    'gap: 2rem;' +
    'list-style: none; ' +
    'text-align: center;' +
    'padding: 0;'

const iconWrapper = `All icons: <ul style="${style}">${icons}</ul>`

export default {
    argTypes: {
        icon: {
            control: {type: 'inline-radio'},
            options: iconsObject,
        },
        size: {
            control: 'inline-radio',
            options: ['sm', 'md', 'lg', 'xl'],
            table: {
                defaultValue: {summary: 'sm'},
                summary: 'string',
            },
        },
    },
    args: {
        size: 'small',
    },
    parameters: {
        docs: {
            description: {
                component: `<div class="storybook-theme-wrapper">${iconWrapper}</div>`,
            },
        },
    },
    tags: ['autodocs'],
    title: 'Simple/Icon',
}

const Template = ({icon, size}) => {
    const template = document.createElement('c-icon')

    if (icon)
        template.setAttribute('icon', icon)

    if (size)
        template.setAttribute('size', size)

    return template
}

export const Icon = Template.bind({})