 

export default {
    argTypes: {
        overlayToggleVisible: {
            control: 'boolean',
            defaultValue: 1,
            table: {
                defaultValue: {summary: false},
                type: {summary: 'boolean'},
            },
        },
        overlayVisible: {
            control: 'boolean',
            defaultValue: 0,
            table: {
                defaultValue: {summary: false},
                type: {summary: 'boolean'},
            },
        },
    },
    args: {
        overlayToggleVisible: 0,
        overlayVisible: 0,
    },
    parameters: {
        docs: {
            description: {
                component: 'The c-navigation-overlay component contains the sites main ' +
                    'navigation. It will displayed in place for larger screens and for smaller ' +
                    'ones in the overlay.',
            },
        },
    },
    tags: ['autodocs'],
    title: 'Simple/Navigation Overlay',
}

// eslint-disable-next-line max-statements
const Template = ({overlayToggleVisible, overlayVisible, slotDefault, slotOverlay, type}) => {
    const template = document.createElement('c-navigation-overlay')

    if (overlayVisible) 
        template.setAttribute('overlayVisible', '')

    if (overlayToggleVisible) 
        template.setAttribute('overlayToggleVisible', '')

    if (type) 
        template.setAttribute('type', type)

    if (slotDefault) {
        const range = document.createRange()
        const fragment = range.createContextualFragment(slotDefault)
        template.appendChild(fragment)
    }

     if (slotOverlay) {
        const range = document.createRange()
        const fragment = range.createContextualFragment(slotOverlay)
        const overlaySlot = document.createElement('div')
        overlaySlot.setAttribute('slot', 'overlay-content')
        overlaySlot.append(...fragment.childNodes)
        template.appendChild(overlaySlot)
    }

    return template
}

export const Default = Template.bind({})
Default.args = {
    slotDefault: '[ Slot: Default ]',
    slotOverlay: '[ Slot: overlay-content ]',
}
