 

export default {
    argTypes: {
        action: {
            control: 'text',
            table: {
                defaultValue: {summary: '#'},
            },
        },
        method: {
            control: {type: 'inline-radio'},
            defaultValue: 'GET',
            options: ['GET', 'POST'],
            table: {
                defaultValue: {summary: 'GET'},
            },
        },
        name: {
            control: 'text',
            table: {
                defaultValue: {summary: 'search'},
            },
        },
        placeholder: {
            control: 'text',
            table: {
                defaultValue: {summary: 'Search'},
            },
        },
        value: {control: 'text'},
    },
    args: {
        method: 'GET',
    },
    tags: ['autodocs'],
    title: 'Simple/Search',
}

const Template = ({action, method, name, placeholder, value}) => {
    const template = document.createElement('c-search')

    if (action) 
        template.setAttribute('action', action)
    if (method) 
        template.setAttribute('method', method)
    if (name) 
        template.setAttribute('name', name)
    if (placeholder) 
        template.setAttribute('placeholder', placeholder)
    if (value) 
        template.setAttribute('value', value)

    return template
}


export const Search = Template.bind({})
Search.args = {}
