 

export default {
    argTypes: {
        fullWidth: {
            control: 'boolean',
            defaultValue: 0,
            table: {
                defaultValue: {summary: false},
                type: {summary: 'boolean'},
            },
        },
        slotDefault: {control: 'text'},
        state: {
            control: {type: 'inline-radio'},
            mapping: {
                default: '',
            },
            options: ['complete', 'running', 'default'],
        },
        theme: {
            control: {type: 'inline-radio'},
            options: [
                'default',
                'red',
                'orange',
                'yellow',
                'olive',
                'lime',
                'green',
                'sea-green',
                'azure',
                'blue',
                'violet',
                'purple',
                'fuchsia',
                'rose',
            ],
        },
    },
    args: {
        fullWidth: 0,
    },
    tags: ['autodocs'],
    title: 'Simple/Tag',
}

const Template = ({fullWidth, slotDefault, state, theme}) => {
    const template = document.createElement('c-tag')

    if (fullWidth)
        template.setAttribute('full-width', '')

    template.setAttribute('state', state || 'info')

    if (theme) 
        template.setAttribute('theme', theme)

    if (slotDefault) {
        const range = document.createRange()
        const fragment = range.createContextualFragment(slotDefault)
        template.append(...fragment.childNodes)
    }

    return template
}

export const Tag = Template.bind({})

export const WithIcon = Template.bind({})
WithIcon.args = {
    slotDefault: '<c-icon icon="calendar"></c-icon> I am a tag with an icon',
}

