 
export default {
    argTypes: {
        data: {control: 'object'},
        slotDefault: {control: 'text'},
    },
    tags: ['autodocs'],
    title: 'Simple/foo bar',
}

const Template = ({data, slotDefault}) => {
    const template = document.createElement('foo-bar')

    if (data) {
        const dataString = JSON.stringify(data)
        template.setAttribute('data-data', dataString)
    }

    if (slotDefault) {
        const parser = new DOMParser()
        const parsed = parser.parseFromString(slotDefault, 'text/html')
        parsed.body.childNodes.forEach(node => {
            template.appendChild(node.cloneNode(true))
        })
    }

    return template
}

export const DataViaObject = Template.bind({})
DataViaObject.args = {
    data: {
        fooArray: ['foo', 'bar'],
        fooObject: {
            bar: 'Bar Bar',
            foo: 'Foo Foo',
        },
    },
}

export const DataViaSlot = Template.bind({})
DataViaSlot.args = {
    slotDefault: 'Hello.',
}

 
