/* eslint sort-imports: off */

/*
 * Create a new translucent object and bind it to a window property.
 */

const TRANSLUCENT = {
    'build_timestamp': '2025-05-22T14:42:20',
    'version': '1.12.1',
}

window.translucent = TRANSLUCENT

/*
 * Load additional non-component related modules.
 */

// Do some prototyping.
import './prototype.js?v=1.12.1'

// Load logger and bind it to the translucent object.
import Logger from './logging.js?v=1.12.1'
TRANSLUCENT.logger = Logger

// Load theme class and bind it to translucent object.
import Theme from './theme.js?v=1.12.1'
TRANSLUCENT.theme = Theme

/*
 * Load components and bind them to the translucent object.
 */

/* eslint-disable max-len */

import CBlockComponent from './components/c_block.js?v=1.12.1'
import CBlockListComponent from './components/c_block_list.js?v=1.12.1'
import CBreadcrumbComponent from './components/c_breadcrumb.js?v=1.12.1'
import CButtonComponent from './components/c_button.js?v=1.12.1'
import CCheckboxComponent from './components/c_checkbox.js?v=1.12.1'
import CCodeComponent from './components/c_code.js?v=1.12.1'
import CFormComponent from './components/c_form.js?v=1.12.1'
import CHeadingComponent from './components/c_heading.js?v=1.12.1'
import CIconComponent from './components/c_icon.js?v=1.12.1'
import CImageComponent from './components/c_image.js?v=1.12.1'
import CInputComponent from './components/c_input.js?v=1.12.1'
import CLabelComponent from './components/c_label.js?v=1.12.1'
import CLinkComponent from './components/c_link.js?v=1.12.1'
import CListComponent from './components/c_list.js?v=1.12.1'
import CNavigationComponent from './components/c_navigation.js?v=1.12.1'
import CNavigationOverlayComponent from './components/c_navigation_overlay.js?v=1.12.1'
import CNotificationComponent from './components/c_notification.js?v=1.12.1'
import CPComponent from './components/c_p.js?v=1.12.1'
import CProgressComponent from './components/c_progress.js?v=1.12.1'
import CProgressBarComponent from './components/c_progress_bar.js?v=1.12.1'
import CRadioComponent from './components/c_radio.js?v=1.12.1'
import CSearchComponent from './components/c_search.js?v=1.12.1'
import CSectionComponent from './components/c_section.js?v=1.12.1'
import CSelectComponent from './components/c_select.js?v=1.12.1'
import CSiteHeaderComponent from './components/c_site_header.js?v=1.12.1'
import CSplitSelectComponent from './components/c_split_select.js?v=1.12.1'
import CTableComponent from './components/c_table.js?v=1.12.1'
import CTagComponent from './components/c_tag.js?v=1.12.1'
import CTbodyComponent from './components/c_tbody.js?v=1.12.1'
import CTdComponent from './components/c_td.js?v=1.12.1'
import CTextareaComponent from './components/c_textarea.js?v=1.12.1'
import CThComponent from './components/c_th.js?v=1.12.1'
import CTheadComponent from './components/c_thead.js?v=1.12.1'
import CTrComponent from './components/c_tr.js?v=1.12.1'
import FooBarComponent from './components/foo_bar.js?v=1.12.1'
import StyleguideHelperComponent from './components/styleguide_helper.js?v=1.12.1'
import StyleguideIconsComponent from './components/styleguide_icons.js?v=1.12.1'
import ThemeModeSwitcherComponent from './components/theme_mode_switcher.js?v=1.12.1'
import ThemePreferencesResetterComponent from './components/theme_preferences_resetter.js?v=1.12.1'
import ThemeSwitcherComponent from './components/theme_switcher.js?v=1.12.1'
/* eslint-enable max-len */

TRANSLUCENT.components = {
    'c-block': CBlockComponent,
    'c-block-list': CBlockListComponent,
    'c-breadcrumb': CBreadcrumbComponent,
    'c-button': CButtonComponent,
    'c-checkbox': CCheckboxComponent,
    'c-code': CCodeComponent,
    'c-form': CFormComponent,
    'c-heading': CHeadingComponent,
    'c-icon': CIconComponent,
    'c-image': CImageComponent,
    'c-input': CInputComponent,
    'c-label': CLabelComponent,
    'c-link': CLinkComponent,
    'c-list': CListComponent,
    'c-navigation': CNavigationComponent,
    'c-navigation-overlay': CNavigationOverlayComponent,
    'c-notification': CNotificationComponent,
    'c-p': CPComponent,
    'c-progress': CProgressComponent,
    'c-progress-bar': CProgressBarComponent,
    'c-radio': CRadioComponent,
    'c-search': CSearchComponent,
    'c-section': CSectionComponent,
    'c-select': CSelectComponent,
    'c-site-header': CSiteHeaderComponent,
    'c-split-select': CSplitSelectComponent,
    'c-table': CTableComponent,
    'c-tag': CTagComponent,
    'c-tbody': CTbodyComponent,
    'c-td': CTdComponent,
    'c-textarea': CTextareaComponent,
    'c-th': CThComponent,
    'c-thead': CTheadComponent,
    'c-tr': CTrComponent,
    'foo-bar': FooBarComponent,
    'styleguide-helper': StyleguideHelperComponent,
    'styleguide-icons': StyleguideIconsComponent,
    'theme-mode-switcher': ThemeModeSwitcherComponent,
    'theme-preferences-resetter': ThemePreferencesResetterComponent,
    'theme-switcher': ThemeSwitcherComponent,
}
